Bug 449137 - libGL segfaults without GLX
libGL segfaults without GLX
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 14:17 EDT by Pierre Ossman
Modified: 2008-11-24 06:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 06:29:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2008-05-30 14:17:06 EDT
All GLX using programs segfault with the current mesa-libGL. Backtrace from glxinfo:

#0  0x46b1cb15 in glXGetFBConfigs () from /usr/lib/libGL.so.1
#1  0x46b1d66b in glXChooseFBConfigSGIX () from /usr/lib/libGL.so.1
#2  0x08049e60 in ?? ()
#3  0x4344d5d6 in __libc_start_main () from /lib/libc.so.6
#4  0x08048d31 in ?? ()

My GLX is disabled though because of some driver issues a while back.
Comment 1 Matěj Cepl 2008-06-06 11:47:56 EDT
Unfortunately this backtrace is almost useless -- whatever is interesting in
lines #2 and #4 is unknown to us. Could you please try to install debuginfo
packages for mesa (run as root debuginfo-install mesa ; debuginfo-install
program is from yum-utils) and reproduce the backtrace, please?

Also please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Pierre Ossman 2008-06-14 10:01:57 EDT
This is with debuginfo added. Stack has changed a bit though:

#0  0x441fdb15 in glXGetFBConfigs (dpy=<value optimized out>, 
    screen=<value optimized out>, nelements=<value optimized out>)
    at glxcmds.c:1647
	priv = (__GLXdisplayPrivate *) 0x0
	config = <value optimized out>
	i = <value optimized out>
#1  0x441fe66b in glXChooseFBConfig (dpy=<value optimized out>, 
    screen=<value optimized out>, attribList=<value optimized out>, nitems=Could
not find the frame base for "glXChooseFBConfig".
)
    at glxcmds.c:1607
	config_list = (__GLcontextModes **) 0x804f008
	list_size = 0
#2  0x08049e60 in main (argc=1, argv=0xbfd74a74) at glxinfo.c:430
	displayName = 0x0
	dpy = (Display *) 0x804f008
	numScreens = 1
	scrnum = 0
	mode = Normal
	findBest = 0 '\0'
	limits = 0 '\0'
	allowDirect = 1
	i = <value optimized out>
Comment 3 Matěj Cepl 2008-09-11 18:42:45 EDT
A little bit more information would help us. Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Matěj Cepl 2008-10-20 17:33:42 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Matěj Cepl 2008-11-24 06:29:44 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.